## EAuthComboBox

EAuthComboBox

## Functions

GtkWidget * | e_auth_combo_box_new ()
CamelProvider * | e_auth_combo_box_get_provider ()
void | e_auth_combo_box_set_provider ()
void | e_auth_combo_box_add_auth_type ()
void | e_auth_combo_box_remove_auth_type ()
void | e_auth_combo_box_update_available ()
void | e_auth_combo_box_pick_highest_available ()

## Properties

gpointer | provider | Read / Write

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkComboBox
                            ╰── EAuthComboBox

## Description

## Functions

### e_auth_combo_box_new ()

    GtkWidget *
    e_auth_combo_box_new (void);

### e_auth_combo_box_get_provider ()

    CamelProvider *
    e_auth_combo_box_get_provider (EAuthComboBox *combo_box);

### e_auth_combo_box_set_provider ()

    void
    e_auth_combo_box_set_provider (EAuthComboBox *combo_box,
                                   CamelProvider *provider);

### e_auth_combo_box_add_auth_type ()

    void
    e_auth_combo_box_add_auth_type (EAuthComboBox *combo_box,
                                    CamelServiceAuthType *auth_type);

### e_auth_combo_box_remove_auth_type ()

    void
    e_auth_combo_box_remove_auth_type (EAuthComboBox *combo_box,
                                       CamelServiceAuthType *auth_type);

### e_auth_combo_box_update_available ()

    void
    e_auth_combo_box_update_available (EAuthComboBox *combo_box,
                                       GList *available_authtypes);

### e_auth_combo_box_pick_highest_available ()

    void
    e_auth_combo_box_pick_highest_available
                                   (EAuthComboBox *combo_box);

## Property Details

### The `“provider”` property

      “provider”                 gpointer

The provider to query for auth mechanisms.

Owner: EAuthComboBox

Flags: Read / Write